org.modeshape.jboss.subsystem

## Class MappedAttributeDefinitionBuilder

- java.lang.Object
- - org.jboss.as.controller.AbstractAttributeDefinitionBuilder<org.jboss.as.controller.SimpleAttributeDefinitionBuilder,org.jboss.as.controller.SimpleAttributeDefinition>
  - - org.jboss.as.controller.SimpleAttributeDefinitionBuilder
    - - org.modeshape.jboss.subsystem.MappedAttributeDefinitionBuilder

-     public class MappedAttributeDefinitionBuilder
      extends org.jboss.as.controller.SimpleAttributeDefinitionBuilder

- - ### Field Summary

    - ### Fields inherited from class org.jboss.as.controller.AbstractAttributeDefinitionBuilder

      `accessConstraints, allowExpression, allowNull, alternatives, attributeMarshaller, corrector, defaultValue, deprecated, flags, maxSize, measurementUnit, minSize, name, nullSignficant, requires, resourceOnly, type, validateNull, validator, xmlName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MappedAttributeDefinitionBuilder(org.jboss.as.controller.SimpleAttributeDefinition basis)`
    `MappedAttributeDefinitionBuilder(String attributeName, org.jboss.dmr.ModelType type)`
    `MappedAttributeDefinitionBuilder(String attributeName, org.jboss.dmr.ModelType type, boolean allowNull)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MappedAttributeDefinitionBuilder` | `addAlternatives(String... alternatives)`
    `MappedAttributeDefinitionBuilder` | `addFlag(org.jboss.as.controller.registry.AttributeAccess.Flag flag)`
    `org.jboss.as.controller.SimpleAttributeDefinition` | `build()`
    `MappedAttributeDefinitionBuilder` | `removeFlag(org.jboss.as.controller.registry.AttributeAccess.Flag flag)`
    `MappedAttributeDefinitionBuilder` | `setAccessConstraints(org.jboss.as.controller.access.management.AccessConstraintDefinition... constraints)`
    `MappedAttributeDefinitionBuilder` | `setAllowExpression(boolean allowExpression)`
    `MappedAttributeDefinitionBuilder` | `setAllowNull(boolean allowNull)`
    `MappedAttributeDefinitionBuilder` | `setAlternatives(String... alternatives)`
    `MappedAttributeDefinitionBuilder` | `setCorrector(org.jboss.as.controller.ParameterCorrector corrector)`
    `MappedAttributeDefinitionBuilder` | `setDefaultValue(org.jboss.dmr.ModelNode defaultValue)`
    `MappedAttributeDefinitionBuilder` | `setFieldPathInRepositoryConfiguration(String... pathToField)`
    `MappedAttributeDefinitionBuilder` | `setFlags(org.jboss.as.controller.registry.AttributeAccess.Flag... flags)`
    `MappedAttributeDefinitionBuilder` | `setMeasurementUnit(org.jboss.as.controller.client.helpers.MeasurementUnit unit)`
    `MappedAttributeDefinitionBuilder` | `setRequires(String... requires)`
    `MappedAttributeDefinitionBuilder` | `setRestartAllServices()`
    `MappedAttributeDefinitionBuilder` | `setRestartJVM()`
    `MappedAttributeDefinitionBuilder` | `setStorageRuntime()`
    `MappedAttributeDefinitionBuilder` | `setValidator(org.jboss.as.controller.operations.validation.ParameterValidator validator)`
    `MappedAttributeDefinitionBuilder` | `setXmlName(String xmlName)`

    - ### Methods inherited from class org.jboss.as.controller.SimpleAttributeDefinitionBuilder

      `create, create, create, create, create`

    - ### Methods inherited from class org.jboss.as.controller.AbstractAttributeDefinitionBuilder

      `addAccessConstraint, isFlagPresent, setAttributeMarshaller, setDeprecated, setMaxSize, setMinSize, setNullSignficant, setResourceOnly, setValidateNull`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MappedAttributeDefinitionBuilder

          public MappedAttributeDefinitionBuilder(org.jboss.as.controller.SimpleAttributeDefinition basis)

      Parameters:
        `basis` -

    - #### MappedAttributeDefinitionBuilder

          public MappedAttributeDefinitionBuilder(String attributeName,
                                          org.jboss.dmr.ModelType type)

      Parameters:
        `attributeName` -
        `type` -

    - #### MappedAttributeDefinitionBuilder

          public MappedAttributeDefinitionBuilder(String attributeName,
                                          org.jboss.dmr.ModelType type,
                                          boolean allowNull)

      Parameters:
        `attributeName` -
        `type` -
        `allowNull` -

  - ### Method Detail

    - #### setXmlName

          public MappedAttributeDefinitionBuilder setXmlName(String xmlName)

      Overrides:
        `setXmlName` in class `org.jboss.as.controller.SimpleAttributeDefinitionBuilder`

    - #### setAllowNull

          public MappedAttributeDefinitionBuilder setAllowNull(boolean allowNull)

      Overrides:
        `setAllowNull` in class `org.jboss.as.controller.SimpleAttributeDefinitionBuilder`

    - #### setAllowExpression

          public MappedAttributeDefinitionBuilder setAllowExpression(boolean allowExpression)

      Overrides:
        `setAllowExpression` in class `org.jboss.as.controller.SimpleAttributeDefinitionBuilder`

    - #### setDefaultValue

          public MappedAttributeDefinitionBuilder setDefaultValue(org.jboss.dmr.ModelNode defaultValue)

      Overrides:
        `setDefaultValue` in class `org.jboss.as.controller.SimpleAttributeDefinitionBuilder`

    - #### setMeasurementUnit

          public MappedAttributeDefinitionBuilder setMeasurementUnit(org.jboss.as.controller.client.helpers.MeasurementUnit unit)

      Overrides:
        `setMeasurementUnit` in class `org.jboss.as.controller.SimpleAttributeDefinitionBuilder`

    - #### setCorrector

          public MappedAttributeDefinitionBuilder setCorrector(org.jboss.as.controller.ParameterCorrector corrector)

      Overrides:
        `setCorrector` in class `org.jboss.as.controller.SimpleAttributeDefinitionBuilder`

    - #### setValidator

          public MappedAttributeDefinitionBuilder setValidator(org.jboss.as.controller.operations.validation.ParameterValidator validator)

      Overrides:
        `setValidator` in class `org.jboss.as.controller.SimpleAttributeDefinitionBuilder`

    - #### setAlternatives

          public MappedAttributeDefinitionBuilder setAlternatives(String... alternatives)

      Overrides:
        `setAlternatives` in class `org.jboss.as.controller.SimpleAttributeDefinitionBuilder`

    - #### addAlternatives

          public MappedAttributeDefinitionBuilder addAlternatives(String... alternatives)

      Overrides:
        `addAlternatives` in class `org.jboss.as.controller.SimpleAttributeDefinitionBuilder`

    - #### setRequires

          public MappedAttributeDefinitionBuilder setRequires(String... requires)

      Overrides:
        `setRequires` in class `org.jboss.as.controller.SimpleAttributeDefinitionBuilder`

    - #### setFlags

          public MappedAttributeDefinitionBuilder setFlags(org.jboss.as.controller.registry.AttributeAccess.Flag... flags)

      Overrides:
        `setFlags` in class `org.jboss.as.controller.SimpleAttributeDefinitionBuilder`

    - #### addFlag

          public MappedAttributeDefinitionBuilder addFlag(org.jboss.as.controller.registry.AttributeAccess.Flag flag)

      Overrides:
        `addFlag` in class `org.jboss.as.controller.SimpleAttributeDefinitionBuilder`

    - #### removeFlag

          public MappedAttributeDefinitionBuilder removeFlag(org.jboss.as.controller.registry.AttributeAccess.Flag flag)

      Overrides:
        `removeFlag` in class `org.jboss.as.controller.AbstractAttributeDefinitionBuilder<org.jboss.as.controller.SimpleAttributeDefinitionBuilder,org.jboss.as.controller.SimpleAttributeDefinition>`

    - #### setStorageRuntime

          public MappedAttributeDefinitionBuilder setStorageRuntime()

      Overrides:
        `setStorageRuntime` in class `org.jboss.as.controller.SimpleAttributeDefinitionBuilder`

    - #### setRestartAllServices

          public MappedAttributeDefinitionBuilder setRestartAllServices()

      Overrides:
        `setRestartAllServices` in class `org.jboss.as.controller.SimpleAttributeDefinitionBuilder`

    - #### setRestartJVM

          public MappedAttributeDefinitionBuilder setRestartJVM()

      Overrides:
        `setRestartJVM` in class `org.jboss.as.controller.AbstractAttributeDefinitionBuilder<org.jboss.as.controller.SimpleAttributeDefinitionBuilder,org.jboss.as.controller.SimpleAttributeDefinition>`

    - #### setFieldPathInRepositoryConfiguration

          public MappedAttributeDefinitionBuilder setFieldPathInRepositoryConfiguration(String... pathToField)

    - #### setAccessConstraints

          public MappedAttributeDefinitionBuilder setAccessConstraints(org.jboss.as.controller.access.management.AccessConstraintDefinition... constraints)

      Overrides:
        `setAccessConstraints` in class `org.jboss.as.controller.AbstractAttributeDefinitionBuilder<org.jboss.as.controller.SimpleAttributeDefinitionBuilder,org.jboss.as.controller.SimpleAttributeDefinition>`

    - #### build

          public org.jboss.as.controller.SimpleAttributeDefinition build()

      Overrides:
        `build` in class `org.jboss.as.controller.SimpleAttributeDefinitionBuilder`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.